List recent Stripe invoices for the tenant
curl --request GET \
--url https://api.trulayer.ai/v1/settings/invoices \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.trulayer.ai/v1/settings/invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.trulayer.ai/v1/settings/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invoices": [
{
"id": "<string>",
"number": "<string>",
"amount_due": 123,
"currency": "<string>",
"status": "<string>",
"period_start": 123,
"period_end": 123,
"invoice_pdf": "<string>",
"hosted_invoice_url": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}billing
List recent Stripe invoices for the tenant
Returns up to 24 recent Stripe invoices for the authenticated tenant’s Stripe customer, newest first. Tenants on Starter (no Stripe customer yet) receive an empty list rather than a 404.
GET
/
v1
/
settings
/
invoices
List recent Stripe invoices for the tenant
